Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.nodes
Class NodeAdapter

    java.lang.Object
      org.openide.nodes.NodeAdapter

All Implemented Interfaces:
  PropertyChangeListener, EventListener, NodeListener

    public class NodeAdapter

extends Object
implements NodeListener

Empty adapter for `NodeListener`.

Constructor Summary
`NodeAdapter()`

Method Summary
`void` | `childrenAdded(NodeMemberEvent ev)` Fired when a set of new children is added.
`void` | `childrenRemoved(NodeMemberEvent ev)` Fired when a set of children is removed.
`void` | `childrenReordered(NodeReorderEvent ev)` Fired when the order of children is changed.
`void` | `nodeDestroyed(NodeEvent ev)` Fired when the node is deleted.
`void` | `propertyChange(PropertyChangeEvent ev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeAdapter

    public NodeAdapter()

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent ev)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### childrenAdded

    public void childrenAdded(NodeMemberEvent ev)

  Description copied from interface: `NodeListener`
  Fired when a set of new children is added.

  Specified by:
    `childrenAdded` in interface `NodeListener`
  Parameters:
    `ev` - event describing the action

### childrenRemoved

    public void childrenRemoved(NodeMemberEvent ev)

  Description copied from interface: `NodeListener`
  Fired when a set of children is removed.

  Specified by:
    `childrenRemoved` in interface `NodeListener`
  Parameters:
    `ev` - event describing the action

### childrenReordered

    public void childrenReordered(NodeReorderEvent ev)

  Description copied from interface: `NodeListener`
  Fired when the order of children is changed.

  Specified by:
    `childrenReordered` in interface `NodeListener`
  Parameters:
    `ev` - event describing the change

### nodeDestroyed

    public void nodeDestroyed(NodeEvent ev)

  Description copied from interface: `NodeListener`
  Fired when the node is deleted.

  Specified by:
    `nodeDestroyed` in interface `NodeListener`
  Parameters:
    `ev` - event describing the node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.